Subject: bug#12088: closed (Re: bug#12088: 24.1.50; Display messed up on OS X)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Sep 2012 17:25:02 +0000

Your bug report

#12088: 24.1.50; Display messed up on OS X

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12088: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12088
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12088: 24.1.50; Display messed up on OS X
From: Jan Djärv <[email-masked]>
To: Eric Hanchrow <[email-masked]>
Cc: [email-masked]
Date: Sat, 8 Sep 2012 19:23:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

30 jul 2012 kl. 22:22 skrev Eric Hanchrow <[email-masked]>:

> On Mon, Jul 30, 2012 at 1:18 PM, Jan Djärv <[email-masked]> wrote:
>> 
>> 30 jul 2012 kl. 02:43 skrev Eric Hanchrow:
>>> Visit a buffer with some text (this very bug report works fine).  Use
>>> M-0 to put a non-blank line at the top of the window.  Now evaluate
>> 
>> Did you mean C-0?
> 
> Actually I meant M-0 C-l.
> 
>>> Now do M-- C-l.  I see a copy of the menu bar in the middle of the
>>> window, in addition to the menu bar that is correctly at the top of
>>> the window.
>>> 
>> 
>> I guess you mean tool-bar, because that is what I see.
>> Something is very odd here :-)
> 
> I'm sorry; I did indeed mean tool-bar.  But my point stands: I see two of them.

Yes, I can even get two titlebars if I try.  However, it is now fixed in the trunk, please try it.

Thanks,

	Jan D.

Subject: 24.1.50; Display messed up on OS X
From: Eric Hanchrow <[email-masked]>
To: [email-masked]
Date: Sun, 29 Jul 2012 17:43:20 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This happens in a very recent trunk build (commit
c486bb94c9055c4781de1b91b75c830bf70263cc
Author: Eli Zaretskii <[email-masked]>
Date:   Sun Jul 29 21:33:47 2012 +0300

    Remove obsolete comment in mule-cmds.el.
), as well as the 24.1 version at emacsforosx.com

Visit a buffer with some text (this very bug report works fine).  Use
M-0 to put a non-blank line at the top of the window.  Now evaluate

(progn (set-frame-font "Monaco-20") (recenter-top-bottom 0))

Note that the line that was originally at the top of the screen is no
longer visible.

Now do M-- C-l.  I see a copy of the menu bar in the middle of the
window, in addition to the menu bar that is correctly at the top of
the window.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/Users/erichanchrow/local/src/emacs/nextstep/Emacs.app/Contents/Resources/etc/DEBUG.

In GNU Emacs 24.1.50.1 (x86_64-apple-darwin12.0.0, NS apple-appkit-1187.00)
 of 2012-07-29 on Eric-Hanchrows-MacBook-Air.local
Windowing system distributor `Apple', version 10.3.1187
Configured using:
 `configure '--with-ns' 'CFLAGS=-O2 -arch x86_64'
 'LDFLAGS=-L/opt/local/lib' 'CPPFLAGS=-I/opt/local/include''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - e m <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind ns multi-tty emacs)